Package com.massivecraft.factions.struct

## Class BanInfo

- java.lang.Object
- - com.massivecraft.factions.struct.BanInfo

    public class BanInfo
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor | Description
--- | ---
`BanInfo​(java.lang.String banner, java.lang.String banned, long time)` |

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`java.lang.String` | `getBanned()` | Get the FPlayer ID of the player who got banned.
`java.lang.String` | `getBanner()` | Get the FPlayer ID of the player who issued the ban.
`long` | `getTime()` | Get the server time when the ban was issued.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BanInfo

    public BanInfo​(java.lang.String banner,
                   java.lang.String banned,
                   long time)

### Method Detail

#### getBanner

    public java.lang.String getBanner()

Get the FPlayer ID of the player who issued the ban.

Returns:
  FPlayer ID.

#### getBanned

    public java.lang.String getBanned()

Get the FPlayer ID of the player who got banned.

Returns:
  FPlayer ID.

#### getTime

    public long getTime()

Get the server time when the ban was issued.

Returns:
  system timestamp.